Debian Bug report logs - #452835
IPv6 support

version graph

Package: distcc; Maintainer for distcc is Daniel Hartwig <mandyke@gmail.com>; Source for distcc is src:distcc.

Reported by: Jelmer Vernooij <jelmer@debian.org>

Date: Sun, 25 Nov 2007 15:12:01 UTC

Severity: wishlist

Tags: ipv6, upstream

Found in version distcc/2.18.3-4.1

Fixed in version distcc/3.1-5

Done: Daniel Hartwig <mandyke@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to Martin Pool <mbp@sourcefrog.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#452835; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
New Bug report received and forwarded. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: IPv6 support
Date: Sun, 25 Nov 2007 15:10:19 +0000
Package: distcc
Version: 2.18.3-4.1
Severity: wishlist

Distcc doesn't appear to support IPv6, or at least such support is not 
documented in the manual page. It would be nice if it could support
IPv6.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages distcc depends on:
ii  adduser                       3.105      add and remove users and groups
ii  debconf [debconf-2.0]         1.5.17     Debian configuration management sy
ii  libc6                         2.7-1      GNU C Library: Shared libraries
ii  libpopt0                      1.10-3     lib for parsing cmdline parameters
ii  netbase                       4.30       Basic TCP/IP networking system

distcc recommends no packages.

-- debconf information:
* distcc/daemon-allow: 127.0.0.1
* distcc/daemon: true
* distcc/daemon-listen: 127.0.0.1




Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#452835; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to "Martin Pool" <mbp@sourcefrog.net>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Pool" <mbp@sourcefrog.net>
To: "Jelmer Vernooij" <jelmer@samba.org>, 452835@bugs.debian.org
Cc: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: Re: Bug#452835: IPv6 support
Date: Mon, 26 Nov 2007 10:58:54 +1100
On Nov 26, 2007 2:10 AM, Jelmer Vernooij <jelmer@samba.org> wrote:
> Distcc doesn't appear to support IPv6, or at least such support is not
> documented in the manual page. It would be nice if it could support
> IPv6.

I seem to recall using ipv6-appropriate calls; maybe it's just not
turned on in the debian build.

-- 
Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#452835; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to "Martin Pool" <mbp@sourcefrog.net>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#452835; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@samba.org>
To: Martin Pool <mbp@sourcefrog.net>
Cc: 452835@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#452835: IPv6 support
Date: Mon, 26 Nov 2007 00:12:21 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2007-11-26 at 10:58 +1100, Martin Pool wrote:
> On Nov 26, 2007 2:10 AM, Jelmer Vernooij <jelmer@samba.org> wrote:
> > Distcc doesn't appear to support IPv6, or at least such support is not
> > documented in the manual page. It would be nice if it could support
> > IPv6.
> I seem to recall using ipv6-appropriate calls; maybe it's just not
> turned on in the debian build.
socket.socket() defaults to AF_INET, and is used without arguments in bzrlib/smart/medium.py:546

Cheers,

Jelmer

-- 
Jelmer Vernooij <jelmer@samba.org> - http://samba.org/~jelmer/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#452835; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@samba.org>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Tags added: ipv6 Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 10:36:08 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 15:33:08 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to Martin Pool <mbp@sourcefrog.net>. Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 15:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#452835; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Andrew Ruthven <andrew@etc.gen.nz>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #36 received at 452835@bugs.debian.org (full text, mbox):

From: Andrew Ruthven <andrew@etc.gen.nz>
To: 452835@bugs.debian.org
Subject: IPv6 in distccd
Date: Thu, 17 Jul 2008 21:19:41 +1200
[Message part 1 (text/plain, inline)]
Version: 2.18.3-7.1

Hello,

It seems that there is some IPv6 support in distcc, but it is broken and
renders the program unusable if it is used.

If no bind address is specified using --listen then distccd binds to all
interfaces (IPv4 and IPv6) quite happily.  However any connections
coming in over IPv6 are rejected, and the following appears in the
logfile:

distccd[7173] (dcc_check_client) connection from
2404:130:b1ff:1:2d0:59ff:fec0:fba9:42076
distccd[7173] (dcc_check_client) Notice: ipv6 ACLs not implemented

What makes this more confusing is that I don't have any ACLs set, I'm
happy for any and all connections to be accepted.

To make matters worse the distcc client only tries the first IP address
that is returned for a hostname.  I have IPv6 and IPv4 address against
all my boxes.  So now I need to have the IPv4 addresses for my compile
hosts in DISTCC_HOSTS, not the hostnames.

Cheers!

-- 
Andrew Ruthven
Wellington, New Zealand
At home: andrew@etc.gen.nz       |  This space intentionally
                                 |        left blank.
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Jelmer Vernooij <jelmer@samba.org> to Jelmer Vernooij <jelmer@debian.org>. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Tue, 17 Feb 2009 03:27:32 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:04:10 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:17 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:31:14 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:12 GMT) Full text and rfc822 format available.

Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Tue, 29 May 2012 06:51:03 GMT) Full text and rfc822 format available.

Notification sent to Jelmer Vernooij <jelmer@debian.org>:
Bug acknowledged by developer. (Tue, 29 May 2012 06:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 452835-close@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 452835-close@bugs.debian.org
Subject: Bug#452835: fixed in distcc 3.1-5
Date: Tue, 29 May 2012 06:47:23 +0000
Source: distcc
Source-Version: 3.1-5

We believe that the bug you reported is fixed in the latest version of
distcc, which is due to be installed in the Debian FTP archive:

distcc-pump_3.1-5_i386.deb
  to main/d/distcc/distcc-pump_3.1-5_i386.deb
distcc_3.1-5.debian.tar.gz
  to main/d/distcc/distcc_3.1-5.debian.tar.gz
distcc_3.1-5.dsc
  to main/d/distcc/distcc_3.1-5.dsc
distcc_3.1-5_i386.deb
  to main/d/distcc/distcc_3.1-5_i386.deb
distccmon-gnome_3.1-5_i386.deb
  to main/d/distcc/distccmon-gnome_3.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Hartwig <mandyke@gmail.com> (supplier of updated distcc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 05 May 2012 17:24:18 +0800
Source: distcc
Binary: distcc distccmon-gnome distcc-pump
Architecture: source i386
Version: 3.1-5
Distribution: unstable
Urgency: low
Maintainer: Daniel Hartwig <mandyke@gmail.com>
Changed-By: Daniel Hartwig <mandyke@gmail.com>
Description: 
 distcc     - simple distributed compiler client and server
 distcc-pump - pump mode for distcc a distributed compiler client and server
 distccmon-gnome - GTK+ monitor for distcc a distributed client and server
Closes: 452835 481951 514556 548053 594083 620773 626926 651670 664497 666383
Changes: 
 distcc (3.1-5) unstable; urgency=low
 .
   * new maintainer (Closes: #664497)
   * update Standards-Version to 3.9.3:
     - debian/distcc.init.d: start action exits successfully if daemon
       is already running [9.3.2]; postinst will succeed on upgrades in
       this case also (Closes: #620773, LP: #822887)
   * switch to dpkg-source 3.0 (quilt) format
   * remove Build-Depends: dpatch
   * add Build-Depends: autotools-dev
   * debian/rules:
     - use debhelper compat level 9
     - reduce to "dh $@" style
     - fixes FTBFS caused by previous build-arch target (Closes: #666383)
     - enabled bindnow hardening (no PIE yet, it causes build failure)
   * debian/control:
     - added Homepage field
     - distcc: description starts lowercase
   * debian/distcc.config:
     - renamed from debian/config
     - use "set -e"
     - include missing #DEBHELPER# token
   * debian/distcc.init.d:
     - added stop levels 0, 6
     - unset TMPDIR before starting the daemon to avoid problems with
       root's value for this being unwritable by the distccd user; to
       provide distccd with a sensible TMPDIR put it in /etc/default/distcc
       (Closes: #514556)
   * debian/distcc.postinst:
     - use "set -e" instead of "#!/bin/sh -e"
     - drop extra calls to "sed ... /etc/default/distcc" for every field
       that only removed whitespace which would be removed anyway when
       updating the fields
     - always create distccd user if it does not exist (Closes: #548053)
   * debian/distccmon-gnome.menu:
     - changed title to "distcc monitor"
     - dropped incorrect hint tag
   * debian/patches:
     - 06_set-pythonpath-securely.patch: contains fix for #605168 which
       was previously applied directly to the source
     - 07_preferred-user.patch: starting the daemon as root causes it to
       change user, which should be to "distccd" in Debian
     - 08_gnome-data-public-dirs.patch: install desktop and icon files for
       distccmon-gnome /usr/share/applications and /usr/share/pixmaps
       respectively (LP: #512288)
     - 09_rename-pump.patch: rename the "pump" command to "distcc-pump" in
       all references such as help text, man pages, etc. (Closes: #594083)
     - 10_consecutive-preprocessor-options.patch: correctly count
       preprocessor options (Closes: #626926)
     - 11_lsdistcc-man.patch: add man page for lsdistcc utility
   * debian/watch:
     - added remote watch file
   * source/config.{guess,sub}:
     - update with autotools-dev during build instead of directly patching
       the source tree
   * use dpkg triggers to dynamically generate/update compiler links
     based on the ccache packaging.  Thanks to Daniel Schaal
     (Closes: #651670)
   * cherry-pick upstream fixes for IPv6 support (Closes: #452835):
     - r650_ipv6-zeroconf.patch: IPv6 patch for Zeroconf and IPv6 literals
       in hosts file (Closes: #481951, LP: #593047)
     - r673_zeroconf-nodups.patch: remove duplicate hosts from the Zeroconf
       list (LP: #809534)
     - r678_distcc-v6-acl-2.patch: IPv6 support for access control
   * cherry-pick other upstream fixes:
     - r732_distccmon-gnome.patch: avoid client list growing indefinitely
       (LP: #521165)
Checksums-Sha1: 
 bb87434b54c729268dd164e9ad494f7c89e9d0af 1562 distcc_3.1-5.dsc
 01358ef1fa8b88995cf2ddfa9cadab2bb7d33a41 63557 distcc_3.1-5.debian.tar.gz
 b232ac1659871cf1979ab12e35612767637beb93 253324 distcc_3.1-5_i386.deb
 c67cc355ba0384fb3ca4367488f787a03ac7c9af 46592 distccmon-gnome_3.1-5_i386.deb
 09dc4902f827687c2e997b3205b85b776d72e94a 143168 distcc-pump_3.1-5_i386.deb
Checksums-Sha256: 
 27b6b448418e32b8cebee2263e807c55f2d360f83d134296cd9a408122c1dc74 1562 distcc_3.1-5.dsc
 53b1f3a76663418d639ae120fda53228b60f1a20bdf31104383d9314b0f0945a 63557 distcc_3.1-5.debian.tar.gz
 3b7f2f396b1e862185dc770e905642d5cd8c530cb1b8caf2c1012677d4d76150 253324 distcc_3.1-5_i386.deb
 d43b71b0208a5486ae30ba41ac7f3f69ebe9e4bbf8d6fb751ca75a95112a5d67 46592 distccmon-gnome_3.1-5_i386.deb
 538795e50f1577e2388a9f01a772f99cfbc66bd137cb2de68de1f16c3cc0d4aa 143168 distcc-pump_3.1-5_i386.deb
Files: 
 f31217a11cbdec72f47b9321df01020d 1562 devel optional distcc_3.1-5.dsc
 b90cda8625692dec61df0b30a7538337 63557 devel optional distcc_3.1-5.debian.tar.gz
 20615e0e011bcffabab4adf968eac705 253324 devel optional distcc_3.1-5_i386.deb
 11dc663faae97db15e7b0af115ae8512 46592 devel optional distccmon-gnome_3.1-5_i386.deb
 8d8b3fd0b92662f8655780122bf3e204 143168 devel optional distcc-pump_3.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJPxGzvAAoJEIAhAkTu07wNHIsIAMitEKYbw8Tj+H6e2Z3GGkG9
livCV+SJ0VCeB2l2OzgyOy5lozaZM+HKPmGE/3TqMQT/HpNf4XhSut9lovLk6kxh
kGreJjvuepKmFs/PLctD0NOSFBDIAsVNVveM6CQWDuAEOBzt/3Rz4oOQQGAbOQXO
T5+Vx/aiTMtbzXOhemY1GUT/X7nqxiqqzVOpKWoiYam4mNivHKPOXkGXZAAOoOrr
GUJ8VBIRyPALYnUSUdyglxG7D+ftgoG4xSWnTipr9A5rzUzDlizry6mOoOELwsn9
h4bmz1yMDvjNCCTJlzOAFwR4td3kcseVX7uV3RjJcQtk4A/tpb0LhH1GIkv8kwg=
=yfDC
-----END PGP SIGNATURE-----





Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:38:16 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze, sid, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 18 Jan 2014 13:45:36 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Feb 2014 07:35:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:43:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.